Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.plugins
[Groovy] Class ProjectReportsPluginConvention

    java.lang.Object
      org.gradle.api.plugins.ProjectReportsPluginConvention

    class ProjectReportsPluginConvention

Property Summary
`String` | `projectReportDirName` The name of the directory to generate the project reports into, relative to the project's reports dir.

Constructor Summary
`ProjectReportsPluginConvention(Project project)`

Method Summary
`File` | `getProjectReportDir()` Returns the directory to generate the project reports into.
`Set` | `getProjects()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### projectReportDirName

    String projectReportDirName

  The name of the directory to generate the project reports into, relative to the project's reports dir.

Constructor Detail

### ProjectReportsPluginConvention

    ProjectReportsPluginConvention(Project project)

Method Detail

### getProjectReportDir

    File getProjectReportDir()

  Returns the directory to generate the project reports into.

### getProjects

    Set getProjects()

Gradle API 1.10